from django.contrib import admin

from lava_data_store.models.project import Project 
from lava_data_store.models.release import Release
from lava_data_store.models.image import Image


class ReleaseInline(admin.TabularInline):
    model = Release
    ordering = ("expected_date",)


class ImageInline(admin.TabularInline):
    model = Image 


class ProjectAdmin(admin.ModelAdmin):
    inlines = [ ReleaseInline ]


class ReleaseAdmin(admin.ModelAdmin):
    inlines = [ ImageInline ]
    list_display = ('__unicode__', 'project', 'name')
    list_filter = ('project',)


class ImageAdmin(admin.ModelAdmin):
    list_display = ('__unicode__', 'release')


admin.site.register(Project, ProjectAdmin)
admin.site.register(Release, ReleaseAdmin)
admin.site.register(Image, ImageAdmin)
