from django.db import models
from django.utils.translation import ugettext as _


class Image(models.Model):
    
    release = models.ForeignKey(
        "lava_data_store.Release",
        null=False,
        blank=False,
        related_name="images",
        help_text=_(u"Image to project release association"))

    name = models.CharField(
        null=False,
        blank=True,
        max_length=100,
        help_text=_(u"Release name, if any"))

    def __unicode__(self):
        return self.name

    @models.permalink
    def get_absolute_url(self):
        return ('lava.image.detail', [self.release.project.pk, self.release.pk, self.pk])

    class Meta:
        app_label = 'lava_data_store'
