from django.conf.urls.defaults import *

urlpatterns = patterns(
    'lava_data_store.views.project',
    url(r'^projects/$', 'project_list', name='lava.project.list'),
    url(r'^projects/create/$', 'project_create', name='lava.project.create'),
    url(r'^projects/detail/(?P<project_id>[0-9]+)/$', 'project_detail', name='lava.project.detail'),
    url(r'^projects/update/(?P<project_id>[0-9]+)/$', 'project_update', name='lava.project.update'),
)

urlpatterns += patterns(
    'lava_data_store.views.release',
    url(r'^projects/detail/(?P<project_id>[0-9]+)/releases/$', 'release_list', name='lava.release.list'),
    url(r'^projects/detail/(?P<project_id>[0-9]+)/releases/detail/(?P<release_id>[0-9]+)/$', 'release_detail', name='lava.release.detail'),
    url(r'^projects/detail/(?P<project_id>[0-9]+)/releases/update/(?P<release_id>[0-9]+)/$', 'release_update', name='lava.release.update'),
    url(r'^projects/detail/(?P<project_id>[0-9]+)/releases/create/$', 'release_create', name='lava.release.create'),
)

urlpatterns += patterns(
    'lava_data_store.views.image',
    url(r'^projects/(?P<project_id>[0-9]+)/releases/(?P<release_id>[0-9]+)/images/$', 'image_list', name='lava.image.list'),
    url(r'^projects/(?P<project_id>[0-9]+)/releases/(?P<release_id>[0-9]+)/images/(?P<image_id>[0-9]+)/$', 'image_detail', name='lava.image.detail'),
)
